# Function crypto::pbkdf2::pbkdf2_check [−] [src]

    pub fn pbkdf2_check(
        password: &str,
        hashed_value: &str
    ) -> Result<bool, &'static str>

pbkdf2_check compares a password against the result of a previous call to pbkdf2_simple and returns true if the passed in password hashes to the same value.

# Arguments

- password - The password to process as a str
- hashed_value - A string representing a hashed password returned by pbkdf2_simple()

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)